Customers

Get a customer

GET/v1/customers/{id}

Retrieves a customer with aggregate statistics.

API key · or dashboard session.

Request

Shell
curl -fsS "$API/v1/customers/cus_0198f80c-1111-7dc1-a369-90556a64f700" \
  -H "Authorization: Bearer $PAYDAY_API_KEY"

Response

200 OK
{
  "id": "cus_0198f80c-1111-7dc1-a369-90556a64f700",
  "name": "Globex",
  "email": "ap@globex.example",
  "details": "Attn: Accounts Payable",
  "created_at": "2026-09-06T12:00:00Z",
  "updated_at": "2026-09-06T12:00:00Z",
  "stats": { "request_count": 3, "collected_base_units": "2500000000", "pending_base_units": "1250000000" }
}

Path parameters

idcus_ idrequired

Response

Customer plus stats: request_count, collected_base_units, pending_base_units. This route only.

Status codes

  • 404customer_not_found